curl --request POST \
--url https://app.alphapo.net/api/v2/withdrawal/crypto \
--header 'Content-Type: application/json' \
--header 'X-Processing-Key: <api-key>' \
--header 'X-Processing-Signature: <x-processing-signature>' \
--data '
{
"currency": "BTC",
"foreign_id": "test_foreign_id_0148",
"end_user_reference": "test_end_user_reference",
"address": "tb1qfdxh6gkfr0qgyatnlkd8khcnxph9tw06n6qwjc",
"amount": "0.00020000"
}
'{
"data": {
"id": 134702815,
"foreign_id": "test_foreign_id_0148",
"end_user_reference": "test_end_user_reference",
"type": "withdrawal",
"status": "processing",
"amount": "0.00020000",
"sender_amount": "0.00020000",
"sender_currency": "BTC",
"receiver_currency": "BTC",
"receiver_amount": "0.00020000"
}
}Withdraw in crypto to any address.
curl --request POST \
--url https://app.alphapo.net/api/v2/withdrawal/crypto \
--header 'Content-Type: application/json' \
--header 'X-Processing-Key: <api-key>' \
--header 'X-Processing-Signature: <x-processing-signature>' \
--data '
{
"currency": "BTC",
"foreign_id": "test_foreign_id_0148",
"end_user_reference": "test_end_user_reference",
"address": "tb1qfdxh6gkfr0qgyatnlkd8khcnxph9tw06n6qwjc",
"amount": "0.00020000"
}
'{
"data": {
"id": 134702815,
"foreign_id": "test_foreign_id_0148",
"end_user_reference": "test_end_user_reference",
"type": "withdrawal",
"status": "processing",
"amount": "0.00020000",
"sender_amount": "0.00020000",
"sender_currency": "BTC",
"receiver_currency": "BTC",
"receiver_amount": "0.00020000"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.alphapo.net/llms.txt
Use this file to discover all available pages before exploring further.
Hex-encoded HMAC-SHA512 signature of the request body, generated using your secret key.
Currency to withdraw. For a list of all available currencies, see API currency codes.
Amount to withdraw in the source currency. You can only specify either amount_to or amount.
Cryptocurrency address where you want to send funds.
Unique ID of the withdrawal request.
A persistent internal user ID used to track all requests for the same end user. Must be consistent across requests and must not contain personal data, such as the user's name or email address.
Target currency to convert funds into before sending. If omitted, funds are sent in the source currency without conversion.
Amount to send in the convert_to currency. Use this field when you want to convert funds and send a specific amount in the target currency set in convert_to. You can only specify either amount_to or amount.
Tag/memo for currencies and destination wallets that support or require it. On withdrawal forms, display this field to the user, but allow it to be empty because some wallets do not require a tag/memo. Warn the user that if the destination wallet requires a tag/memo and it is not provided, the funds may be lost.
Created
Show child attributes
Was this page helpful?